OpenOBEX

Data Fields
obex_usb_intf_service_t Struct Reference

USB-specific OBEX service information provided by optional Service Identification Functional Descriptor (CDC WMC specification section 6.5.2.5) More...

`#include <obex_const.h>`

## Data Fields
uint8_t | role
| Role bit mask: bit 0 is set if client, unset if server. More...
uint8_t | uuid [16]
| Service UUID. More...
uint16_t | version
| Service version. More...
int | is_default_uuid
| Set if the service provides/expects an OBEX Default Server (spec section 6.5.2.5.2) More...

## Detailed Description

USB-specific OBEX service information provided by optional Service Identification Functional Descriptor (CDC WMC specification section 6.5.2.5)

## Field Documentation

## ◆ is_default_uuid

int obex_usb_intf_service_t::is_default_uuid

Set if the service provides/expects an OBEX Default Server (spec section 6.5.2.5.2)

## ◆ role

uint8_t obex_usb_intf_service_t::role

Role bit mask: bit 0 is set if client, unset if server.

## ◆ uuid

uint8_t obex_usb_intf_service_t::uuid[16]

Service UUID.

## ◆ version

uint16_t obex_usb_intf_service_t::version

Service version.

The documentation for this struct was generated from the following file:

- obex_const.h